Skip to main content
POST
/
v1
/
table
/
{table_uuid}
/
add-waterfall
curl --request POST \
  --url https://api.databar.ai/v1/table/{table_uuid}/add-waterfall \
  --header 'Content-Type: application/json' \
  --header 'x-apikey: <x-apikey>' \
  --data '
{
  "waterfall": "email_getter",
  "enrichments": [
    833,
    966
  ],
  "mapping": {
    "first_name": "first_name",
    "last_name": "last_name",
    "company": "company"
  },
  "email_verifier": 10
}
'
{
  "id": 42,
  "waterfall_name": "Email finder waterfall"
}

Headers

x-apikey
string
required

API Key for authentication

Path Parameters

table_uuid
string<uuid>
required

The UUID of the table

Body

application/json
waterfall
string
required

Waterfall identifier (e.g. 'email_getter'). Get from GET /v1/waterfalls.

enrichments
integer[]
required

List of enrichment (provider) IDs to use in the waterfall cascade. Get available IDs from GET /v1/waterfalls/{identifier}.

Minimum array length: 1
mapping
Mapping · object
required

Maps waterfall parameter names to table column identifiers (UUID) or column names (the key used in GET /v1/table/{uuid}/rows response). Get column identifiers from GET /v1/table/{uuid}/columns.

email_verifier
integer | null

Optional enrichment ID for email verification (only for email waterfalls).

Response

Waterfall added successfully

id
integer
required
waterfall_name
string
required